@import 'common.css';

section {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    gap: 1rem;
}

article {
    display: flex;
    flex-direction: column;
    justify-content: start;
    max-width: 20rem;
    background-color: var(--green);
    color: var(--white);
    font-weight: bold;
    cursor: pointer;
    transition: scale 0.3s;

    h2 {
        padding: 1rem 1rem 0 1rem;
    }

    h3,
    span {
        padding: 0 1rem;
    }

    picture {
        width: 300px;
        height: 200px;
        object-fit: scale-down;
        object-position: bottom;
        aspect-ratio: 3/2;

        img {
            width: 300px;
            height: 200px;
            object-fit: inherit;
            object-position: inherit;
        }
    }

    &:hover {
        scale: 1.1;
    }
}

#hamburger {
    display: none;

    &:checked ~ nav {
        left: 0;
    }
}

input[type=radio] {
    display: none;
}

label[for='hamburger'] {
    display: block;
    width: 2rem;
    height: 2rem;
    cursor: pointer;
}

header {
    label[for='hamburger'] {
        align-self: center;
        background-color: var(--white);
    }
}

nav {
    grid-area: nav;
    position: absolute;
    border-right: 1px solid black;
    background-color: var(--white);
    top: 0;
    height: 100vh;
    width: 14rem;
    left: -14rem;
    transition: left 1s;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: stretch;
    padding: 0;

    .filter-header {
        background-color: var(--green);
        color: var(--white);
        font-size: 2rem;
        font-weight: bold;
        height: 5rem;

        padding: 0.5rem;
        display: flex;
        justify-content: start;
        align-items: center;
        gap: 1rem;

        span {
            display: block;
            flex: 1;
        }

        label[for='hamburger'] {
            background-color: var(--white);
        }
    }

    label {
        font-size: 1.2rem;;
        color: unset;
        font-weight: unset;
        cursor: pointer;
        padding: 0.5rem;

        &:hover {
            font-size: bold ;
        }

        &:has(:checked) {
            font-weight: bold;
        }
    }

    ul,
    li {
        list-style-type: none;
        margin: 0;
        padding: 0 0.5rem;
    }

}


@media screen and (width > 600px) {
    body {
        display: grid;
        grid-template-columns: 14rem 1fr;
        grid-template-areas: 
          "title title"
          "nav main";    
    }
    
    
    header {
        grid-area: title;
        label[for=hamburger] {
            display: none;
        }
    }
    
    nav {
        grid-area: nav;
        position: relative;
        transition: unset;
        left: 0;
    
        .filter-header {
            display: none;
        }
    }
    
    main {
        grid-area: main;
    }
}